## ros-indigo-robot-state-publisher 1.11.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(robot_state_publisher)

find_package(orocos_kdl REQUIRED)
find_package(catkin REQUIRED
  COMPONENTS roscpp rosconsole rostime tf tf2_ros tf2_kdl kdl_parser cmake_modules rostest
)
find_package(Eigen REQUIRED)

catkin_package(
  LIBRARIES ${PROJECT_NAME}_solver
  INCLUDE_DIRS include
  DEPENDS roscpp rosconsole rostime tf2_ros tf2_kdl kdl_parser orocos_kdl
)

include_directories(SYSTEM ${EIGEN_INCLUDE_DIRS})
include_directories(include ${catkin_INCLUDE_DIRS} ${orocos_kdl_INCLUDE_DIRS})
link_directories(${orocos_kdl_LIBRARY_DIRS})

add_library(${PROJECT_NAME}_solver
  src/robot_state_publisher.cpp src/treefksolverposfull_recursive.cpp
)
target_link_libraries(${PROJECT_NAME}_solver ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})

add_executable(${PROJECT_NAME} src/joint_state_listener.cpp)
target_link_libraries(${PROJECT_NAME} ${PROJECT_NAME}_solver ${orocos_kdl_LIBRARIES})

# compile the same executable using the old name as well
add_executable(state_publisher src/joint_state_listener.cpp)
target_link_libraries(state_publisher ${PROJECT_NAME}_solver ${orocos_kdl_LIBRARIES})

# Tests

if (CATKIN_ENABLE_TESTING)

  add_rostest_gtest(test_one_link ${CMAKE_CURRENT_SOURCE_DIR}/test/test_one_link.launch test/test_one_link.cpp)
  target_link_libraries(test_one_link ${catkin_LIBRARIES} ${PROJECT_NAME}_solver)

  add_rostest_gtest(test_two_links_fixed_joint ${CMAKE_CURRENT_SOURCE_DIR}/test/test_two_links_fixed_joint.launch test/test_two_links_fixed_joint.cpp)
  target_link_libraries(test_two_links_fixed_joint ${catkin_LIBRARIES} ${PROJECT_NAME}_solver)

  add_rostest_gtest(test_two_links_moving_joint ${CMAKE_CURRENT_SOURCE_DIR}/test/test_two_links_moving_joint.launch test/test_two_links_moving_joint.cpp)
  target_link_libraries(test_two_links_moving_joint ${catkin_LIBRARIES} ${PROJECT_NAME}_solver)

   # Download needed data file
  catkin_download_test_data(
    joint_states_indexed_bag
    http://wiki.ros.org/robot_state_publisher/data?action=AttachFile&do=get&target=joint_states_indexed.bag
    DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/test
    FILENAME joint_states_indexed.bag
    MD5 793e0b566ebe4698265a936b92fa2bba)

  add_rostest_gtest(test_joint_states_bag ${CMAKE_CURRENT_SOURCE_DIR}/test/test_joint_states_bag.launch test/test_joint_states_bag.cpp)
  target_link_libraries(test_joint_states_bag ${catkin_LIBRARIES} ${PROJECT_NAME}_solver)

  install(FILES test/one_link.urdf test/pr2.urdf test/two_links_fixed_joint.urdf test/two_links_moving_joint.urdf DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/test)

endif()

install(TARGETS ${PROJECT_NAME}_solver ${PROJECT_NAME} state_publisher
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-indigo-robot-state-publisher (1.11.2-0trusty) trusty; urgency=high

  * Add back future dating for robot_state_publisher (#50 <https://github.com/ros/robot_state_publisher/issues/50>)
  * Contributors: Jackie Kay

 -- Ioan Sucan <isucan@google.com>  Fri, 20 May 2016 07:00:00 -0000

ros-indigo-robot-state-publisher (1.11.1-0trusty) trusty; urgency=high

  * Merge pull request #41 <https://github.com/ros/robot_state_publisher/issues/41> from ros/fix_tests_indigo
    Re-enable and clean up rostests
  * Correct failing tests
  * Re-enabling rostests
  * Fix API break in publishFixedTransforms
    A bool argument was added to
    RobotStatePublisher::publishFixedTransforms
    which broke API.
    I've added a default value of false, to match
    the default specified in the JointStateListener
    constructor.
  * Contributors: Jackie Kay, Jonathan Bohren, Steven Peters

 -- Ioan Sucan <isucan@google.com>  Mon, 22 Feb 2016 08:00:00 -0000

ros-indigo-robot-state-publisher (1.11.0-0trusty) trusty; urgency=high

  * Merge pull request #28 <https://github.com/ros/robot_state_publisher/issues/28> from clearpathrobotics/tf2-static
    Port to tf2 and enable using static broadcaster
  * Merge pull request #32 <https://github.com/ros/robot_state_publisher/issues/32> from shadow-robot/fix_issue#19 <https://github.com/shadow-robot/fix_issue/issues/19>
    Check URDF to distinguish fixed joints from floating joints. Floating joint are ignored by the publisher.
  * Merge pull request #26 <https://github.com/ros/robot_state_publisher/issues/26> from xqms/remove-debug
    get rid of argv[0] debug output on startup
  * Contributors: David Lu!!, Ioan A Sucan, Jackie Kay, Max Schwarz, Paul Bovbel, Remo Diethelm, Toni Oliver

 -- Ioan Sucan <isucan@google.com>  Wed, 21 Oct 2015 07:00:00 -0000

ros-indigo-robot-state-publisher (1.10.4-0trusty) trusty; urgency=high

  * Merge pull request #21 <https://github.com/ros/robot_state_publisher/issues/21> from rcodddow/patch-1
  * Fix for joint transforms not being published anymore after a clock reset (e.g. when playing a bagfile and looping)
  * Contributors: Ioan A Sucan, Robert Codd-Downey, Timm Linder

 -- Ioan Sucan <isucan@google.com>  Sun, 30 Nov 2014 08:00:00 -0000

ros-indigo-robot-state-publisher (1.10.3-0trusty) trusty; urgency=high

  * add version depend on orocos_kdl >= 1.3.0
    Conflicts:
    package.xml
  * Update KDL SegmentMap interface to optionally use shared pointers
    The KDL Tree API optionally uses shared pointers on platforms where
    the STL containers don't support incomplete types.
  * Contributors: Brian Jensen, William Woodall

 -- Ioan Sucan <isucan@google.com>  Thu, 24 Jul 2014 07:00:00 -0000

ros-indigo-robot-state-publisher (1.10.0-0trusty) trusty; urgency=high

  * minor style fixes
  * Add support for mimic tag.
  * Contributors: Ioan Sucan, Konrad Banachowicz

 -- Ioan Sucan <isucan@google.com>  Mon, 03 Mar 2014 08:00:00 -0000

=== debian/control ===
Source: ros-indigo-robot-state-publisher
Section: misc
Priority: extra
Maintainer: Ioan Sucan <isucan@google.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-kdl-parser, ros-indigo-orocos-kdl (>= 1.3.0), ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-rostime, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-tf2-kdl, ros-indigo-tf2-ros
Homepage: http://wiki.ros.org/robot_state_publisher
Standards-Version: 3.9.2

Package: ros-indigo-robot-state-publisher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-indigo-catkin, ros-indigo-kdl-parser, ros-indigo-orocos-kdl (>= 1.3.0), ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-rostime, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-tf2-kdl, ros-indigo-tf2-ros
Description: This package allows you to publish the state of a robot to tf.
 Once the state gets published, it is available to all components in the system that also use tf. The package takes the joint angles of the robot as input and publishes the 3D poses of the robot links, using a kinematic tree model of the robot. The package can both be used as a library and as a ROS node. This package has been well tested and the code is stable. No major changes are planned in the near future

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-robot-state-publisher//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
